Bug 736163 - Review Request: gobi_loader - Firmware loader for Qualcomm Gobi WWAN devices
Review Request: gobi_loader - Firmware loader for Qualcomm Gobi WWAN devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
: 600361 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 17:17 EDT by Bojan Smojver
Modified: 2016-07-19 08:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:48:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2011-09-06 17:17:06 EDT
Spec URL: ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader.spec
SRPM URL: ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader-0.7-2.src.rpm
Description:
gobi_loader is a firmware loader for Qualcomm Gobi USB chipsets. These
devices appear in an uninitialized state when power is applied and require
firmware to be loaded before they can be used as modems. gobi_loader adds
a udev rule that will trigger loading of the firmware and make the modem
usable.

Note that gobi_loader requires firmware images which can't be freely
redistributed. See http://www.codon.org.uk/~mjg59/gobi_loader for more
information.
Comment 1 Bojan Smojver 2011-09-06 17:17:33 EDT
*** Bug 600361 has been marked as a duplicate of this bug. ***
Comment 2 Felix Kaechele 2011-09-10 08:18:41 EDT
Hi there.

Here are my comments on your package:

1. SRPM spec file differs from standalone spec file (File in SRPM misses the disttag)
2. BuildRoot, %clean and rm -rf $RPM_BUILD_ROOT (in %install) can be removed (unless you want to get this package into EPEL too)
3. The upstream makefile ignores the $RPM_OPT_FLAGS. It should be patched to correctly set the compiler flags.
Comment 3 Bojan Smojver 2011-09-10 08:43:54 EDT
Thank you for you comments. I will address.
Comment 4 Bojan Smojver 2011-09-11 20:25:19 EDT
(In reply to comment #2)
> 1. SRPM spec file differs from standalone spec file (File in SRPM misses the
> disttag)

Corrected. Must have copied an older copy of the spec file out by accident.

> 2. BuildRoot, %clean and rm -rf $RPM_BUILD_ROOT (in %install) can be removed
> (unless you want to get this package into EPEL too)

It doesn't hurt and we may do an EPEL package, so I'll let it stay for now.

> 3. The upstream makefile ignores the $RPM_OPT_FLAGS. It should be patched to
> correctly set the compiler flags.

Should be fixed here:

ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader.spec
ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader-0.7-3.fc15.src.rpm

Once again, thank you for your contribution.
Comment 5 teppot 2011-11-09 10:12:13 EST
What's the status on this? I use a Gobi 2000 based device as my primary Internet connection and I'd really like to see this included in Fedora.
Comment 6 Bojan Smojver 2011-11-09 15:49:16 EST
(In reply to comment #5)
> What's the status on this? I use a Gobi 2000 based device as my primary
> Internet connection and I'd really like to see this included in Fedora.

Still waiting for review.
Comment 7 Fabian Affolter 2012-06-05 14:12:08 EDT
(In reply to comment #4) 
> ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader.spec
> ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader-0.7-3.fc15.src.rpm

Can you please upload the files again? Thanks
Comment 8 Bojan Smojver 2012-06-09 03:20:44 EDT
(In reply to comment #7)
> (In reply to comment #4) 
> > ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader.spec
> > ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader-0.7-3.fc15.src.rpm
> 
> Can you please upload the files again? Thanks

Should be there now. My FTP server was offline for a while. Sorry.
Comment 9 Fabian Affolter 2012-06-09 12:05:29 EDT
Rebuild not possible:

<snip>
+ unset DISPLAY
+ make -j4
CFLAGS="-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic" gcc gobi_loader.c -o gobi_loader
/bin/sh: gcc: command not found
make: *** [gobi_loader] Error 127
error: Bad exit status from /var/tmp/rpm-tmp.i00mh9 (%build)
<snap/>
Comment 10 Fabian Affolter 2012-06-09 12:13:16 EDT
Please ignore comment 9.
Comment 11 Fabian Affolter 2012-07-15 09:58:07 EDT
- rpmlint says (beside some irrelevant warnings):

  $ rpmlint gobi_loader*
  [...]
  gobi_loader-debuginfo.x86_64: E: debuginfo-without-sources
  2 packages and 0 specfiles checked; 1 errors, 5 warnings.

- The README file must be included.
Comment 12 Bojan Smojver 2012-07-15 19:33:08 EDT
(In reply to comment #11)
> - rpmlint says (beside some irrelevant warnings):
> 
>   $ rpmlint gobi_loader*
>   [...]
>   gobi_loader-debuginfo.x86_64: E: debuginfo-without-sources
>   2 packages and 0 specfiles checked; 1 errors, 5 warnings.
> 
> - The README file must be included.

Thanks. New files, which include README, here:

ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader.spec
ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader-0.7-4.fc17.src.rpm
Comment 13 Fabian Affolter 2012-10-07 08:29:58 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2)" For detailed output of licensecheck see file:
     /home/fab/reviews/736163-gobi_loader/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[-]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None

Rpmlint
-------
Checking: gobi_loader-0.7-4.fc17.x86_64.rpm
          gobi_loader-debuginfo-0.7-4.fc17.x86_64.rpm
          gobi_loader-0.7-4.fc17.src.rpm
gobi_loader.x86_64: W: spelling-error %description -l en_US gobi -> Gobi, gob, obi
gobi_loader.x86_64: W: spelling-error %description -l en_US chipsets -> chip sets, chip-sets, Chiclets
gobi_loader-debuginfo.x86_64: W: spelling-error Summary(en_US) gobi -> Gobi, gob, obi
gobi_loader-debuginfo.x86_64: W: spelling-error %description -l en_US gobi -> Gobi, gob, obi
gobi_loader-debuginfo.x86_64: E: debuginfo-without-sources
gobi_loader.src: W: spelling-error %description -l en_US gobi -> Gobi, gob, obi
gobi_loader.src: W: spelling-error %description -l en_US chipsets -> chip sets, chip-sets, Chiclets
gobi_loader.src: W: spelling-error %description -l en_US udev -> dude
3 packages and 0 specfiles checked; 1 errors, 7 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint gobi_loader-debuginfo
gobi_loader-debuginfo.x86_64: W: spelling-error Summary(en_US) gobi -> Gobi, gob, obi
gobi_loader-debuginfo.x86_64: W: spelling-error %description -l en_US gobi -> Gobi, gob, obi
gobi_loader-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'

Requires
--------
gobi_loader-0.7-4.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    rtld(GNU_HASH)  

gobi_loader-debuginfo-0.7-4.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
gobi_loader-0.7-4.fc17.x86_64.rpm:
    
    gobi_loader = 0.7-4.fc17
    gobi_loader(x86-64) = 0.7-4.fc17

gobi_loader-debuginfo-0.7-4.fc17.x86_64.rpm:
    
    gobi_loader-debuginfo = 0.7-4.fc17
    gobi_loader-debuginfo(x86-64) = 0.7-4.fc17

MD5-sum check
-------------
http://www.codon.org.uk/~mjg59/gobi_loader/download/gobi_loader-0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 78bdc255451cde1caa406e146b01a88828480c9c43272de8cffdb61627be754a
  CHECKSUM(SHA256) upstream package : 78bdc255451cde1caa406e146b01a88828480c9c43272de8cffdb61627be754a


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 736163

Some additional comments:

- You are mixing macro and variable style.
- If you don't plan to include the package in EPEL, please removed the obsolete stuff.
Comment 14 Bojan Smojver 2012-10-09 01:00:27 EDT
Thank you for your review. New files are here:

ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader.spec
ftp://ftp.rexursive.com/pub/gobi_loader/gobi_loader-0.7-5.fc17.src.rpm

I have no plans to package this for EPEL5, so the old cruft has been removed. Hope the rest checks out too.
Comment 15 Fabian Affolter 2012-10-21 06:08:53 EDT
Package APPROVED.
Comment 16 Bojan Smojver 2012-10-22 22:39:49 EDT
(In reply to comment #15)
> Package APPROVED.

Thank you kindly for your time.
Comment 17 Bojan Smojver 2012-10-22 22:46:09 EDT
New Package SCM Request
=======================
Package Name: gobi_loader
Short Description: Firmware loader for Qualcomm Gobi WWAN devices
Owners: bojan
Branches: f17 f18
InitialCC:
Comment 18 Gwyn Ciesla 2012-10-23 07:33:05 EDT
Git done (by process-git-requests).
Comment 19 Fedora Update System 2012-10-23 17:42:16 EDT
gobi_loader-0.7-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gobi_loader-0.7-5.fc18
Comment 20 Fedora Update System 2012-10-23 17:43:09 EDT
gobi_loader-0.7-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gobi_loader-0.7-5.fc17
Comment 21 Fedora Update System 2012-10-24 12:17:18 EDT
gobi_loader-0.7-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 22 Fedora Update System 2012-12-20 10:48:59 EST
gobi_loader-0.7-6.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.